#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['Click>=6.0', 'xmltodict']

setup_requirements = ['pytest-runner', ]

test_requirements = ['pytest', ]

setup(
    author="Florian Posdziech",
    author_email='hallo@flowfx.de',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    description="Determines large parts of a Mexican postal address from its postal code (C.P.).",
    entry_points={
        'console_scripts': [
            'postalcodes_mexico=postalcodes_mexico.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='postalcodes_mexico',
    name='postalcodes_mexico',
    packages=find_packages(include=['postalcodes_mexico']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/flowfx/postalcodes_mexico',
    version='0.4.0',
    zip_safe=False,
)
